<!DOCTYPE html PUBLIC "-//w3c//dtd html 4.0 transitional//en">
<html>

<head>
<title>CERN Linux Vulnerability FAQ</title>
    <meta name="author" content="Jan Iven">
    <meta name="charset" content="iso8859-1">
</head>
<!--#include virtual="/linux/layout/header" -->

<body><!--msnavigation--><table border="0" cellpadding="0" cellspacing="0" width="100%"><tr><td>

<h2>CERN Linux Vulnerability FAQ</h2>

<h2>How to check if a machine is vulnerable?</h2>

<p>New security holes are unveiled continuously so, unless you upgrade your
system regularly, it is very likely that your system is vulnerable.

<p>If you use a certified/supported CERN Linux system (such as <a
href="/linux/slc5/">SLC5</a>), most of the security holes have been
fixed automatically for you. However, this only applies if you are
running an automatic update mechanism, since new vulnerabilities may have been found between
now and the time your version was installed.

<!--

<p> Here is how to detect if you are
safe (versions as of December 05th 2003):

<ol>
  <li>check the version of the kernel that you are using with the command
    "<code>uname -r</code>"<br>

   <ul>
   <li><b>for CERN Linux 7.3.3</b> the version has to be
    &quot;2.4.20-24.7.cern&quot; or &quot;2.4.20-24.7.cernsmp&quot;
   <li><b>for CERN Linux 6.1.1</b> the version has to be
    &quot;2.2.24-6.2.3.1&quot; or &quot;2.2.24-6.2.3.1smp&quot; - but
    please upgrade to 7.3.2 as soon as possible.
    <li>anything older from CERN (6.X, 7.2.X): upgrade.</li>
    <li>anything non-CERN: check with your vendor.</li>
  </ul>

  <li>check whether your version of SUE is from AFS (so that you
  benefit from updates):<br>
"<code>ls -al /usr/sue/dist</code>" should look like<br>
"lrwxrwxrwx    1 root     root           46 May 13 13:02 /usr/sue/dist -> /afs/cern.ch/project/sue/<i>{test,new,pro}</i>/i386_redhat73/dist"<br>

  <p>If this is <b>not</b> the case, please check if you run a sufficiently
    recent version of SUE with the command
    "<code>cat /usr/sue/dist/README</code>"<br>

    Please check the directory
    <tt>/afs/cern.ch/project/sue/pro/@sys/changes/</tt> for
    security-relevant changes between your version and the current
    one.

    <p>If you are not running SUE or are using a different Linux distribution, please check that you get automatic updates or at least notifications through your vendor mailing list.

  <li>if the kernel version is different or if you do not use SUE or an older
    version of SUE, it is likely that your system is vulnerable.</li>
</ol>

-->

<p>If you do not use the currently supported CERN certified
distributions (i.e. if you use another version of Red Hat Linux or
another distribution), you have to check yourself that all the patches
corresponding to your distribution have been applied.


<h2>What to do with compromised or vulnerable machines?</h2>

<p>Compromised machines often have sniffers and backdoors installed and put
other machines on the CERN network at risk: they must be switched off and
reinstalled from scratch with a secure operating system as soon as
	    possible. <a
href="mailto:computer.security@cern.ch">computer.security@cern.ch</a>
	    has to be informed as soon as you suspect a compromise,
	    they will handle the case and escalate it as required -
	    but cooperation by the machine responsible
	    will still be required.


<p>Vulnerable machines are dangerous and must be made secure as soon
as possible to prevent breakins. The best solution is to reinstall a
machine that was vulnerable for some period of time, since this will
	    get rid of unnoticed compromises. Ideally, machine should
	    never let become vulnerable:
<ul>
<li>handling a compromise is expensive (in terms of manpower) and
	      disruptive (service stays down during the investigation)
<li>reinstalling a vulnerable machine is less expensive (and can be
	      planned beforehand to minimize service impact)
<li>keeping a machine secured typically costs very little effort,
	      since most updates can be applied automatically.
</ul>





<h2>How to upgrade or (re)install a machine?</h2>

<p>The recommended upgrade/installation procedure is to reinstall
the machine from scratch</a>:

<ul>
  <li>this will remove any backdoor, sniffer, trojan horse, etc. left by an
    attacker, and will often remove data collected by those programs

  <li>it removes any temporary hack or modification that the owner or
    system manager forgot to clean afterwards and that may be
    disastrous for security

  <li>it is more reliable and more secure than upgrading only parts of
    the system

  <li>it forces the owner or system manager to know and understand
    what is really on the machine

  <li>it encourages the owner or system manager to automate the
    installation and this saves time (and therefore money) on the
    longer term</li>
</ul>

<p>Note: reinstalling from scratch means that the Linux system
partitions will be destroyed and recreated. If done carefully, the
other partitions (containing Windows or data files) can be preserved.

<p>The standard installation from scratch can be manual (interactive)
or fully automated (even with customisations). See <a
href="http://cern.ch/linux/">http://cern.ch/linux/</a> and/or contact
<a href="mailto:linux.support@cern.ch">linux.support@cern.ch</a> for
more information.


<h2>How to check if a machine has been compromised?</h2>

<p>There is <b>no</b> reliable way to detect if a machine has been
compromised.  Attackers usually install &quot;rootkits&quot; that
carefully hide their tracks, sometimes using kernel modules. This
	    means a machine can not be trusted to correctly report
	    information about itself.

<p>As a first test, you can try to run
<tt>/afs/cern.ch/project/security/cern/public/tools/check-rootkit/crk</tt>
(you may need to copy the directory to local disk before
running). This is not a comprehensive test (it will not detect all
compromises). On SLC4, you can install a toolkit called <a
	      href="">rkhunter</a> that can automate such checks from
	    the central Linux software repository (<tt># yum install
	      rkhunter</tt>). Other such tools are <a
	      href="http://chkrootkit.org">chkrootkit</a> or <a
	      href="http://www.la-samhna.de/samhain/">samhain</a> (the
	    latter requires a machine to be set up <u>before</u> a
	    compromise would happen).

<p>All these tools will not report all types of compromise, and may occasionally
	    report legitimate activity or files as being suspicious
	    (but these cases are usually worth inspecting more closely).



<p>If you notice anything suspicious, please contact <a
href="mailto:computer.security@cern.ch">computer.security@cern.ch</a>
for assistance. If you have reason to suspect a machine (e.g. due to a
	    low-privilege compromise or untrusted user on a machine
	    missing security updates), please treat it as compromised
	    until the incident has been fully understood.






<hr>

<h2>old vulnerabilities (kept for historical purposes)</h2>
(no half-way current machine should be vulnerable to these anymore.)

<h3>December 2003</h3>

<p>A vulnerability in the <tt>do_brk()</tt> kernel function allowed a local root level compromise, this hole is fixed via kernel 2.4.20-24. Please see this <a href="http://cern.ch/linux/#2.4.20-24.7">News article</a> on how to upgrade your kernel.</p>

<h3>March/April 2003</h3>

Please see the <a
href="http://cern.ch/linux/docs/ptrace_kernel_upgrade">
separate page</a> on the "kernel ptrace" problem, it contains pointers
to a checking script for the rootkit most widely used at the time..


<h3>October/November 2001</h3>

<p>The rootkit used at CERN in October-November 2001 is
fortunately easy to detect with the following recipe (for Red Hat
Linux 6.x):

<ol>
  <li>check if the &quot;sash&quot; command (the stand-alone shell) is available
    on your system (usually in <code>/sbin</code>)
  <li>if not, install it from the rpm <code>/afs/cern.ch/project/linux/redhat/pro/RedHat/RPMS/sash-3.3-1.i386.rpm</code>
    or copy it from <code>/afs/cern.ch/project/security/tools/sash.redhat6</code>
  <li>run <code>/sbin/sash -c &quot;-ls /lib/libZ.a&quot;</code><br>
    if you do not get &quot;/lib/libZ.a: No such file or directory&quot;, the
    rootkit is present
  <li>run <code>/sbin/sash -c &quot;-ls /etc/ld.so.preload&quot;</code><br>
    if you do not get &quot;/etc/ld.so.preload: No such file or directory&quot;
    or only &quot;libsafe.so&quot; inside, the rootkit is present</li>
</ol>

<p><strong>Warning</strong>: if you do not detect a rootkit this way, it does
not mean that you have no rootkit at all but only that this particular one is
not present.

<p><hr><p>


<!--
<address>
  <a href="http://cern.ch/lionel.cons">Lionel Cons</a>, 12-Dec-2001
</address>
<p>&nbsp;</p>
-->
</td></tr><!--msnavigation--></table><!--msnavigation--><table border="0" cellpadding="0" cellspacing="0" width="100%"><tr><!--msnavigation--><td valign="top">

<!--msnavigation--></td></tr><!--msnavigation--></table></body>

</html>
